none
is it possible for visual studio 2010 ultimate to work with .net 4.5 RRS feed

  • Question

  • i just download an installed .net 4.5 and every thing went as a charm, but the problem is i cant find any directory under 

    C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework with v4.5

    i know all about the Metro UI stuff in v4.5, i just need async to work, is there any walk-around, probably by referencing a dll or something.

    Tuesday, July 24, 2012 2:49 PM

Answers

  • No.

    Every modern version of Visual Studio (VS 2002 on) is keyed to a specific .NET Framework version, and cannot "see"/use newer versions released after that VS version. More recent VS versions, VS 2008 and beyond can "see" some older framework versions, but CANNOT "see" newer versions of .NET.

    VS 2008 keyed to .NET 3.5 and can use 2.0 and 3.0. CANNOT use 4.0 or 4.5

    VS 2010 keyed to .NET 4.0 and can use 3.5, 3.0 and 2.0. CANNOT use 4.5

    VS 2012 keyed to .NET 4.5 and can use 4.0, 3.5, 3.0 and 2.0

    If you need features introduced in .NET Framework 4.5, you need VS 2012.

    • Marked as answer by tkhalifeh Tuesday, July 24, 2012 4:14 PM
    Tuesday, July 24, 2012 3:47 PM

All replies

  • No.

    Every modern version of Visual Studio (VS 2002 on) is keyed to a specific .NET Framework version, and cannot "see"/use newer versions released after that VS version. More recent VS versions, VS 2008 and beyond can "see" some older framework versions, but CANNOT "see" newer versions of .NET.

    VS 2008 keyed to .NET 3.5 and can use 2.0 and 3.0. CANNOT use 4.0 or 4.5

    VS 2010 keyed to .NET 4.0 and can use 3.5, 3.0 and 2.0. CANNOT use 4.5

    VS 2012 keyed to .NET 4.5 and can use 4.0, 3.5, 3.0 and 2.0

    If you need features introduced in .NET Framework 4.5, you need VS 2012.

    • Marked as answer by tkhalifeh Tuesday, July 24, 2012 4:14 PM
    Tuesday, July 24, 2012 3:47 PM
  • appreciated, that's exactly the type of clarification i want.

    Tuesday, July 24, 2012 4:13 PM